# uni-uikit-provider

## 1 Usage

### 1.1 Use UIKitProvider Components

```vue
<script lang="ts" setup>
import { UIKitProvider } from '@tencentcloud/uikit-base-component-uni';
</script>

<template>
  <UIKitProvider theme="light">

  </UIKitProvider>
</template>
```

### 1.2 Use Hook useUIKit

```vue
<template>
  <div>{{ theme }}</div>
  <button @click="setTheme('dark')">set theme to dark</button>
  <button @click="setTheme('light')">set theme to light</button>
</template>

<script lang="ts" setup>
import { useUIKit } from '@tencentcloud/uikit-base-component-uni';

const { theme, setTheme } = useUIKit();
</script>

```
